# GandiCli

Command line utility to manage DNS zones hosted by gandi.net

## Installation

Add this line to your application's Gemfile:

    gem 'gandi_cli'

And then execute:

    $ bundle

Or install it yourself as:

    $ gem install gandi_cli

## Usage

List zones:

    $ gandi_cli list

    name                              zone_id current_version
    Default Gandi zone file            681838               1
    mydomain.com                       808080              20

Add a new record to the latest version of the zone (or copy if the latest is the active):

    gandi_cli add_record mydomain.com A 86400 www 10.0.0.1

Activate the new version:

    gandi_cli activate mydomain.com 21

See `gandi_cli help` for further information.

## Contributing

1. Fork it
2. Create your feature branch (`git checkout -b my-new-feature`)
3. Commit your changes (`git commit -am 'Add some feature'`)
4. Push to the branch (`git push origin my-new-feature`)
5. Create new Pull Request
