# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'gandi_cli/version'

Gem::Specification.new do |spec|
  spec.name          = "gandi_cli"
  spec.version       = GandiCli::VERSION
  spec.authors       = ["Jacob Atzen"]
  spec.email         = ["jacob@incremental.dk"]
  spec.description   = %q{Command line client for interacting with the gandi.net API}
  spec.summary       = %q{Command line client for the gandi.net API}
  spec.homepage      = "https://github.com/lokalebasen/gandi_cli"
  spec.license       = "MIT"

  spec.files         = `git ls-files`.split($/)
  spec.executables   = spec.files.grep(%r{^bin/}) { |f| File.basename(f) }
  spec.test_files    = spec.files.grep(%r{^(test|spec|features)/})
  spec.require_paths = ["lib"]

  spec.add_dependency 'gandi'
  spec.add_dependency 'thor'
  spec.add_development_dependency "bundler", "~> 1.3"
  spec.add_development_dependency "rake"

  spec.executables << 'gandi_cli'
end
